.TH "orte_gpr_replica_container_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_gpr_replica_container_t \- The core registry structure.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <gpr_replica.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.RI "\fIMake this an object. \fP"
.ti -1c
.RI "size_t \fBindex\fP"
.br
.RI "\fILocation in the pointer array. \fP"
.ti -1c
.RI "orte_gpr_replica_itag_t * \fBitags\fP"
.br
.RI "\fIArray of itags that define this container. \fP"
.ti -1c
.RI "size_t \fBnum_itags\fP"
.br
.RI "\fINumber of itags in array. \fP"
.ti -1c
.RI "\fBorte_pointer_array_t\fP * \fBitagvals\fP"
.br
.RI "\fIArray of itagval pointers. \fP"
.ti -1c
.RI "size_t \fBnum_itagvals\fP"
.br
.RI "\fINumber of itagvals in container. \fP"
.ti -1c
.RI "orte_value_array_t \fBitaglist\fP"
.br
.RI "\fIArray of itags from all itagvals - used for rapid search. \fP"
.in -1c
.SH "Detailed Description"
.PP 
The core registry structure. 

Each segment of the registry contains an array of registry containers, each composed of:
.PP
(1) An object structure that allows the structure to be treated with the OBJ memory management system
.PP
(2) An array of itags that define the container - these are 1:1 correspondents with the character string tokens provided by caller
.PP
(3) An array of indices into the trigger notifier array - each index points to a notifier whose trigger refers to this container.
.PP
(4) An array of pointers to keyval objects that actually hold the data.
.PP
At this time, no security is provided on an object-level basis. Thus, all requests for an object are automatically granted. This may be changed at some future time by adding an 'authorization' linked list of ID's and their access rights to this structure. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
